report.template.not_exists=Report template does not exist
report.template.buildin_operation_permission_error=Insufficient permission for built-in template operations
report.template.name_uniqe_error=Template name [{0}] already exists, please edit
report.template.preview_queryparam_empty=Query parameters cannot be empty: {0}
report.template.import_content_empty_error=Imported template content cannot be empty, please check
report.template.preview_template_content_empty_error=Report template content is empty, please check
report.template.import.excel.file.not.support=The file is not recognized
report.template.preview.print_error=The template preview failed to print, Please try again later
report.template.preview.download_error=The template preview download failed, Please try again later
report.template.export_error=The template export failed, Please try again later
report.template.import_error=Template import failed, Please try again later

report.datasource.not_exists=Report datasource does not exist
report.datasource.connect_fail=Report datasource connection failed
report.datasource.springbean_get_fail=Cannot get Spring Bean [{0}]
report.datasource.springbean_methods_get_fail=Failed to get Spring Bean methods list, please check
report.datasource.buildin_operation_permission_error=Insufficient permission for built-in datasource operations

report.dataset.not_exists=Report dataset does not exist or permission denied
report.dataset.sql_injection_risk=SQL injection risk detected
report.dataset.sql_required=SQL statement cannot be empty
report.dataset.get_fields_error=Failed to get table fields

global.error.request.param.missing=Missing request parameter: {0}
global.error.bad.request=Invalid request parameter: {0}
global.error.request.param.type.error=Request parameter type mismatch: {0}
global.error.request.not.found=Request not found: {0}
global.error.request.method.error=Incorrect request method: {0}
global.error.request.too.many=Too many requests, please try again later
global.error.request.duplicate.data.error=Data already exists, please check
global.error.default.error=System is busy, please try again later
global.error.no.permission=You do not have permission to perform this action
global.error.no.permission.to.visit.org=You do not have permission to access this organization’s data
global.error.request.organId.notExist=The requested organization ID was not provided, please check
global.org.product.not.exist=Account login exception: product package does not exist, please log in again
global.org.product.expired=The organization's product package has expired, please renew before continuing to use the service
global.not.login=The account is not logged in
be.kicked.out=Your account was logged in elsewhere at {0} and has been forced to log off. Login IP: [{1}]